Package org.apache.sysds.utils

# Enum Class NativeHelper.NativeBlasState

java.lang.Object
java.lang.Enum<NativeHelper.NativeBlasState>
org.apache.sysds.utils.NativeHelper.NativeBlasState

All Implemented Interfaces:
  `Serializable`, `Comparable<NativeHelper.NativeBlasState>`, `Constable`

Enclosing class:
  NativeHelper

public static enum NativeHelper.NativeBlasState extends Enum<NativeHelper.NativeBlasState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ATTEMPTED_LOADING_NATIVE_BLAS_UNSUCCESSFULLY`
`NOT_ATTEMPTED_LOADING_NATIVE_BLAS`
`SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_IN_USE`
`SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_NOT_IN_USE`

## Method Summary

Modifier and Type
Method
Description
`static NativeHelper.NativeBlasState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NativeHelper.NativeBlasState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOT_ATTEMPTED_LOADING_NATIVE_BLAS

public static final NativeHelper.NativeBlasState NOT_ATTEMPTED_LOADING_NATIVE_BLAS

### SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_IN_USE

public static final NativeHelper.NativeBlasState SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_IN_USE

### SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_NOT_IN_USE

public static final NativeHelper.NativeBlasState SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_NOT_IN_USE

### ATTEMPTED_LOADING_NATIVE_BLAS_UNSUCCESSFULLY

public static final NativeHelper.NativeBlasState ATTEMPTED_LOADING_NATIVE_BLAS_UNSUCCESSFULLY

## Method Details

### values

public static NativeHelper.NativeBlasState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NativeHelper.NativeBlasState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null